grk::ScheduleInfo Struct Reference

`#include <mct.h>`

## Public Member Functions

| ScheduleInfo (Tile *t, FlowComponent *flow, StripCache *stripCache, uint32_t linesPerTask)

## Public Attributes

Tile * | tile
uint16_t | compno
std::vector< ShiftInfo > | shiftInfo
FlowComponent * | flow_
uint32_t | linesPerTask_
StripCache * | stripCache_
uint32_t | yBegin
uint32_t | yEnd

## Constructor & Destructor Documentation

## ScheduleInfo()

grk::ScheduleInfo::ScheduleInfo | ( | Tile * | t,
|  | FlowComponent * | flow,
|  | StripCache * | stripCache,
|  | uint32_t | linesPerTask
| ) |  |

inline

## Member Data Documentation

## compno

uint16_t grk::ScheduleInfo::compno

## flow_

FlowComponent* grk::ScheduleInfo::flow_

## linesPerTask_

uint32_t grk::ScheduleInfo::linesPerTask_

## shiftInfo

std::vector<ShiftInfo> grk::ScheduleInfo::shiftInfo

## stripCache_

StripCache* grk::ScheduleInfo::stripCache_

## tile

Tile* grk::ScheduleInfo::tile

## yBegin

uint32_t grk::ScheduleInfo::yBegin

## yEnd

uint32_t grk::ScheduleInfo::yEnd

The documentation for this struct was generated from the following file:

- mct.h